# Default values for Chart.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

hacknizerService:
  name: participants-api
  replicas: 1
  stateful: true

  image:
    repository: jooaodanieel/hacknizer-participants-api
    tag: latest
    pullPolicy: Always

  db:
    size: 1Gi
    image: postgres:10.4-alpine
    port: 5432
    mount: /var/lib/postgresql/data
    env:
      - name: POSTGRES_USER
        value: 'test'
      - name: POSTGRES_PASSWORD
        value: 'test'

  service:
    type: ClusterIP
    port: 3000
    targetPort: 3000

  resources: {}
    # We usually recommend not to specify default resources and to leave this as a conscious
    # choice for the user. This also increases chances charts run on environments with little
    # resources, such as Minikube. If you do want to specify resources, uncomment the following
    # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
    # limits:
    #  cpu: 100m
    #  memory: 128Mi
    # requests:
    #  cpu: 100m
    #  memory: 128Mi

  nodeSelector: {}

  tolerations: []

  affinity: {}
